Bug 1156030 - [abrt] mate-settings-daemon: on_screen_size_changed(): mate-settings-daemon killed by SIGSEGV
Summary: [abrt] mate-settings-daemon: on_screen_size_changed(): mate-settings-daemon k...
Keywords:
Status: CLOSED DUPLICATE of bug 1102581
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-settings-daemon
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Mashal
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:947a161ab1a4f616eb609b7e9ec...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-23 12:42 UTC by Jozef Mlich
Modified: 2015-08-02 23:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-01 17:05:29 UTC


Attachments (Terms of Use)
File: audit.txt (50.52 KB, text/plain)
2014-10-23 12:42 UTC, Jozef Mlich
no flags Details
File: backtrace (58.70 KB, text/plain)
2014-10-23 12:42 UTC, Jozef Mlich
no flags Details
File: cgroup (191 bytes, text/plain)
2014-10-23 12:42 UTC, Jozef Mlich
no flags Details
File: core_backtrace (32.88 KB, text/plain)
2014-10-23 12:42 UTC, Jozef Mlich
no flags Details
File: dso_list (12.87 KB, text/plain)
2014-10-23 12:42 UTC, Jozef Mlich
no flags Details
File: environ (1.24 KB, text/plain)
2014-10-23 12:42 UTC, Jozef Mlich
no flags Details
File: exploitable (82 bytes, text/plain)
2014-10-23 12:42 UTC, Jozef Mlich
no flags Details
File: journal.txt (2.35 KB, text/plain)
2014-10-23 12:42 UTC, Jozef Mlich
no flags Details
File: limits (1.29 KB, text/plain)
2014-10-23 12:42 UTC, Jozef Mlich
no flags Details
File: maps (67.82 KB, text/plain)
2014-10-23 12:42 UTC, Jozef Mlich
no flags Details
File: open_fds (1.66 KB, text/plain)
2014-10-23 12:42 UTC, Jozef Mlich
no flags Details
File: proc_pid_status (958 bytes, text/plain)
2014-10-23 12:42 UTC, Jozef Mlich
no flags Details
File: var_log_messages (742 bytes, text/plain)
2014-10-23 12:42 UTC, Jozef Mlich
no flags Details

Description Jozef Mlich 2014-10-23 12:42:18 UTC
Version-Release number of selected component:
mate-settings-daemon-1.8.2-2.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/libexec/mate-settings-daemon
crash_function: on_screen_size_changed
executable:     /usr/libexec/mate-settings-daemon
kernel:         3.17.1-302.fc21.x86_64+debug
runlevel:       N 5
type:           CCpp
uid:            21446

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 on_screen_size_changed at msd-background-manager.c:272
 #1 _g_closure_invoke_va at gclosure.c:831
 #3 g_signal_emit_by_name at gsignal.c:3405
 #4 gdk_event_translate at gdkevents-x11.c:2152
 #5 _gdk_events_queue at gdkevents-x11.c:2336
 #11 gtk_main at gtkmain.c:1257

Potential duplicate: bug 920960

Comment 1 Jozef Mlich 2014-10-23 12:42:23 UTC
Created attachment 949851 [details]
File: audit.txt

Comment 2 Jozef Mlich 2014-10-23 12:42:25 UTC
Created attachment 949852 [details]
File: backtrace

Comment 3 Jozef Mlich 2014-10-23 12:42:26 UTC
Created attachment 949853 [details]
File: cgroup

Comment 4 Jozef Mlich 2014-10-23 12:42:28 UTC
Created attachment 949854 [details]
File: core_backtrace

Comment 5 Jozef Mlich 2014-10-23 12:42:30 UTC
Created attachment 949855 [details]
File: dso_list

Comment 6 Jozef Mlich 2014-10-23 12:42:31 UTC
Created attachment 949856 [details]
File: environ

Comment 7 Jozef Mlich 2014-10-23 12:42:32 UTC
Created attachment 949857 [details]
File: exploitable

Comment 8 Jozef Mlich 2014-10-23 12:42:33 UTC
Created attachment 949858 [details]
File: journal.txt

Comment 9 Jozef Mlich 2014-10-23 12:42:35 UTC
Created attachment 949859 [details]
File: limits

Comment 10 Jozef Mlich 2014-10-23 12:42:37 UTC
Created attachment 949860 [details]
File: maps

Comment 11 Jozef Mlich 2014-10-23 12:42:38 UTC
Created attachment 949861 [details]
File: open_fds

Comment 12 Jozef Mlich 2014-10-23 12:42:39 UTC
Created attachment 949862 [details]
File: proc_pid_status

Comment 13 Jozef Mlich 2014-10-23 12:42:40 UTC
Created attachment 949863 [details]
File: var_log_messages

Comment 14 Wolfgang Ulbrich 2014-12-01 16:31:51 UTC
an you describe a little more detailed what happend?
Did this issue occurs frequently ?

Comment 15 Jozef Mlich 2014-12-01 16:47:48 UTC
I have connected my Lenovo T430s to external display. First, I used VGA, then colegue connected also HDMI (displayport?), so both were connected. Then I unplugged VGA. I am not sure when exactly app crashed. It occured once. I didn't try to reproduce it.

Comment 16 Wolfgang Ulbrich 2014-12-01 17:05:29 UTC
There is a other report which is linked to upstream, so i close this as duplicate.

*** This bug has been marked as a duplicate of bug 1102581 ***


Note You need to log in before you can comment on or make changes to this bug.